<?PHP

/*/Hier kunt u uw gegevens invullen/*/
/*//*/$user='Uw Email Adres'; /*//*/
/*//*/$pass='Uw Wachtwoord';/*//*/
/*/hieronder dient u niets te wijzigen/*/
if (!function_exists('http_parse_headers')) {
	function http_parse_headers($raw_headers) {
		$headers = array();
		$key = ''; // [+]
		foreach(explode("\n", $raw_headers) as $i => $h) {
			$h = explode(':', $h, 2);

			if (isset($h[1])) {
				if (!isset($headers[$h[0]]))
					$headers[$h[0]] = trim($h[1]);
				elseif (is_array($headers[$h[0]])) {
					$headers[$h[0]] = _merge($headers[$h[0]], array(trim($h[1]))); 
				} else {
					$headers[$h[0]] = array_merge(array($headers[$h[0]]), array(trim($h[1])));
				}
				$key = $h[0]; 
			} else {
				if (substr($h[0], 0, 1) == "\t") 
					$headers[$key] .= "\r\n\t".trim($h[0]); 
				elseif (!$key)
					$headers[0] = trim($h[0]);trim($h[0]); 
			} 
		}

		return $headers;
	}
}

function sendMail($to, $subject, $message, $additional_headers=null, $additional_parameters=null) {
	global $user, $pass;
	$smtpServer = "smtp.mijnhostingpartner.nl";
	$port = 25;
	$timeout = 30;
       
	$html = true;
       
	$localhost = str_replace("www.","", $_SERVER['HTTP_HOST']);
	$nieuwLijn = PHP_EOL;
        $headerarray= http_parse_headers($additional_headers); 
	$smtpVerbind = fsockopen($smtpServer, $port, $errno, $errstr, $timeout);
	$smtpAntwoord = fgets($smtpVerbind, 515);
	if(empty($smtpVerbind)) {
		$output = "Fout bij het verbinden: ".$smtpAntwoord;
		return $output;
	} else {
		$logArray['connection'] = "Verbonden: ".$smtpAntwoord;
		return true;
	}
       
	fputs($smtpVerbind,"AUTH LOGIN" . "\r\n");
	$smtpAntwoord = fgets($smtpVerbind, 515);
	$logArray['authrequest'] = $smtpAntwoord;

	fputs($smtpVerbind, base64_encode($user) . "\r\n");
	$smtpAntwoord = fgets($smtpVerbind, 515);
	$logArray['authusername'] = $smtpAntwoord;
	
	fputs($smtpVerbind, base64_encode($pass) . "\r\n");
	$smtpAntwoord = fgets($smtpVerbind, 515);
	$logArray['authpassword'] = $smtpAntwoord;
	
	if($smtpAntwoord == "535 Authentication failed") {
	       $output = "Authentication failed.";
		return $output;
	}

	fputs($smtpVerbind, "HELO ".$localhost . "\r\n");
	$smtpAntwoord = fgets($smtpVerbind, 515);
	$logArray['heloresponse'] = $smtpAntwoord;
	
	fputs($smtpVerbind, "MAIL FROM:".$headerarray['From'] . "\r\n");
	$smtpAntwoord = fgets($smtpVerbind, 515);
	$logArray['mailfromresponse'] = $smtpAntwoord;
	
	fputs($smtpVerbind, "RCPT TO: ".$to . "\r\n");
	$smtpAntwoord = fgets($smtpVerbind, 515);
	$logArray['mailtoresponse'] = $smtpAntwoord;
	
	fputs($smtpVerbind, "DATA" . "\r\n");
	$smtpAntwoord = fgets($smtpVerbind, 515);
	$logArray['dataresponse'] = "$smtpAntwoord";
       
       
	if($additional_headers != null) {
		$headers = $additional_headers;
	}

	fputs($smtpVerbind, "Subject: ".$subject."\r\n".$headers."\r\n\r\n".$message."\r\n.\r\n");
	$smtpAntwoord = fgets($smtpVerbind, 515);
	$logArray['data2response'] = $smtpAntwoord;
	fputs($smtpVerbind,"QUIT" . "\r\n");
	$smtpAntwoord = fgets($smtpVerbind, 515);   
	return true;
	//~ echo "<pre>".print_r($logArray, 1)."</pre>";
}

//end of file
?>